/// #pkgName FGUI包名
/// #panelName UIPanel名字
/// #UIName = $"{#pkgName}{#panelName}" UIKey名字
/// 该脚本由模板创建
/// created by cb 2024

using XGame.Framework.UI;

namespace FL.FGUI
{
    public static partial class UIKeys
    {
        private static UIKey _CommonToastPanel;
        public static UIKey CommonToastPanel => _CommonToastPanel ?? (_CommonToastPanel = new UIKey("Common", "ToastPanel", typeof(CommonToastPanelView)));
    }
    public partial class CommonToastPanelView : UIView
    {
        public static UILayer Layer => UILayer.Toast;
        protected override void AddController(IUIControllerGroup group)
        {
            group.Add(new CommonToastPanelCtrl());
        }

        protected override IUIViewModel CreateViewModel()
        {
            return new CommonToastPanelVM();
        }

        protected override void OnDispose()
        {
        }
    }
}

